:root {
    --ink:        #040A05;
    --indigo:     #1E3159;
    --red:        #5B1E26;
    --dark-green: #1f5a3e;
    --light-green:#1f7140;
    --paper:      #EBE7D6;
    --cream:      #EAE5C5;
    --gold:       #BB9438;

    --border:       var(--gold);
    --shadow:       var(--ink);
    --radius:       0.8rem;

    font-size: 1.2rem;
}


body {
    background: linear-gradient(160deg, var(--light-green), var(--dark-green)) fixed;   
    font-family: Avenir, Montserrat, Corbel, 'URW Gothic', source-sans-pro, sans-serif; /* Geometric Humanist: https://modernfontstacks.com/ */
    font-weight: normal;
}

h1, h2, h3, nav {
    font-family: 'Nimbus Mono PS', 'Courier New', monospace; /* Monospace Slab Serif: https://modernfontstacks.com/ */
}

header {
    display: flex;
    justify-content: center;
    margin-top: min(8vh, 10rem);
}

#logo {
    flex: 0 0 auto;
    width: 24rem;
    max-width: min(30%, 12rem);
    filter: drop-shadow(0.1rem 0.1rem 0 var(--ink));
}

#logo:hover,
#logo:focus {
    filter:     saturate(50%)
                drop-shadow(0.1rem 0.1rem 0 var(--ink))
                brightness(115%);
}



img { width: 100%; }

dl {
    display: grid;
    grid-template-columns: max-content 1fr;
    gap: 0.5rem 1.5rem;
}
dt, dd {
    display: flex;
    align-items: center;
}
dt { font-weight: bold; }
dt > img {
    width: 1.5rem;
    margin: 0.25rem;
}
dd { margin: 0; }

aside, nav, main, footer {
    border: 3px solid var(--border);
    border-radius: var(--radius);
    margin: auto;
    margin-top: 1rem;
    box-shadow: 0.1rem 0.1rem 0 var(--ink);
    padding: 0.7em;
}

aside {
    background-color: var(--cream);
    max-width: 60%;
}

nav, main, footer {
    background-color: var(--paper);
    max-width: 40rem;
}

nav {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}


a, summary {
    color: var(--indigo);
    font-weight: bold;
    text-decoration: none;
}
a:hover,
a:focus,
summary:hover,
summary:focus {
    color: var(--dark-green);
    text-decoration: underline;
}
a:visited{ color: var(--red); }

footer { font-size: 0.9em;}